cudnn_frontend::cudnnException Class Reference

`#include <cudnn_frontend_utils.h>`

Inheritance diagram for cudnn_frontend::cudnnException:
Collaboration diagram for cudnn_frontend::cudnnException:

## Public Member Functions

| cudnnException (const char *message, cudnnStatus_t status) throw ()
virtual const char * | what () const throw ()
cudnnStatus_t | getCudnnStatus ()

## Public Attributes

cudnnStatus_t | error_status

## Detailed Description

Definition at line 37 of file cudnn_frontend_utils.h.

## Constructor & Destructor Documentation

## cudnnException()

cudnn_frontend::cudnnException::cudnnException | ( | const char * | message,
|  | cudnnStatus_t | status
| ) |  |
throw | ( |
| ) |  |

inline

Definition at line 39 of file cudnn_frontend_utils.h.

References error_status.

Referenced by cudnn_frontend::set_error_and_throw_exception(), and cudnn_frontend::throw_if().

## Member Function Documentation

## getCudnnStatus()

cudnnStatus_t cudnn_frontend::cudnnException::getCudnnStatus | ( |  | ) |

inline

Definition at line 46 of file cudnn_frontend_utils.h.

References error_status.

## what()

virtual const char* cudnn_frontend::cudnnException::what | ( |  | ) | const
throw | ( |
| ) |  |

inline virtual

Definition at line 43 of file cudnn_frontend_utils.h.

## Member Data Documentation

## error_status

cudnnStatus_t cudnn_frontend::cudnnException::error_status

Definition at line 50 of file cudnn_frontend_utils.h.

Referenced by cudnnException(), and getCudnnStatus().

The documentation for this class was generated from the following file:

- cudnn_frontend_utils.h